#---------------------------------------------------------
# This Datapack was made by CommandGeek
# Please do not copy or credit this as your own work!
# Youtube: www.youtube.com/CommandGeek
#---------------------------------------------------------

# For all "a tree"

execute as @e[name="a tree"] run data modify entity @s Rotation[1] set value 0.0f

scoreboard players add @e[tag=walk,scores={EvilTreeWalk=0}] EvilTreeWalking 1
scoreboard players remove @e[tag=walk,scores={EvilTreeWalk=1}] EvilTreeWalking 1
scoreboard players set @e[scores={EvilTreeWalking=5..}] EvilTreeWalk 1
scoreboard players set @e[scores={EvilTreeWalking=..-5}] EvilTreeWalk 0
scoreboard players set @e[name=evil_tree_body,tag=!walk] EvilTreeWalking 0

execute as @e[name=evil_tree_body] store result entity @s Pose.LeftLeg[0] float 15 run scoreboard players get @s EvilTreeWalking
execute as @e[name=evil_tree_body] store result entity @s Pose.RightLeg[0] float -15 run scoreboard players get @s EvilTreeWalking
execute as @e[name=evil_tree_body] store result entity @s Pose.RightArm[0] float 15 run scoreboard players get @s EvilTreeWalking
execute as @e[name=evil_tree_body] store result entity @s Pose.LeftArm[0] float -15 run scoreboard players get @s EvilTreeWalking

execute at @e[scores={EvilTreeWalking=-5}] run playsound minecraft:block.wood.fall master @a ~ ~ ~ 1 1
    
effect give @e[type=minecraft:vindicator,name="a tree"] invisibility 1 1 true
# effect give @e[type=minecraft:vindicator,name="a tree"] speed 1 0 true


# functinos for evil_tree_body

execute as @e[name=evil_tree_body] at @e[name="a tree"] if score @s EvilTreeID = @e[name="a tree",distance=0,limit=1] EvilTreeID run function evil_tree:evil_tree_body

# Kill Tree

execute as @e[name="a tree"] store result score @s EvilTreeHealth run data get entity @s Health

execute as @e[tag=evil_tree] at @e[name="a tree",scores={EvilTreeHealth=..850}] if score @s EvilTreeID = @e[name="a tree",distance=0,limit=1] EvilTreeID run function evil_tree:evil_tree_kill

# Spawn Tree

execute as @a[scores={EvilTreeOak=1..}] at @s run function evil_tree:spawn_tree
execute as @a[scores={EvilTreeSpruce=1..}] at @s run function evil_tree:spawn_tree
execute as @a[scores={EvilTreeBirch=1..}] at @s run function evil_tree:spawn_tree
execute as @a[scores={EvilTreeJungle=1..}] at @s run function evil_tree:spawn_tree
execute as @a[scores={EvilTreeAcacia=1..}] at @s run function evil_tree:spawn_tree
execute as @a[scores={EvilTreeDarkOak=1..}] at @s run function evil_tree:spawn_tree


scoreboard players set @a EvilTreeOak 0
scoreboard players set @a EvilTreeSpruce 0
scoreboard players set @a EvilTreeBirch 0
scoreboard players set @a EvilTreeJungle 0
scoreboard players set @a EvilTreeAcacia 0
scoreboard players set @a EvilTreeDarkOak 0


scoreboard players set @e[name=evil_tree_body,tag=new] EvilTreeWalk 0
execute as @e[tag=new] run data merge entity @s {Rotation:[0.0f,0.0f]}
execute as @e[name="a tree",tag=new] store result score @s EvilTreeID run function evil_tree:tree_id
execute as @e[name="a tree",tag=new] run scoreboard players operation @e[tag=new,limit=3] EvilTreeID = @s EvilTreeID
execute as @e[name="a tree",tag=new] at @s run tp @s ~ ~3 ~
execute as @e[name="a tree",tag=new] run data merge entity @s {Motion:[0.0d,-10.0d,0.0d]}
tag @e[tag=new] remove new
    

    
    
execute as @e[name="a tree"] store result score @s TreeRotation run data get entity @s Rotation[0]



scoreboard players add @e[name="a tree"] EvilTreeSec 1
execute as @e[name="a tree",scores={EvilTreeSec=5}] at @s run function evil_tree:spawn_effects
execute as @e[name="a tree",scores={EvilTreeSec=3}] run data merge entity @s {NoAI:1b}
execute as @e[name="a tree",scores={EvilTreeSec=4..100}] at @s run tp @s ~ ~.01 ~ ~10 ~

# execute as @e[name="a tree",scores={EvilTreeSec=20}] at @s run playsound minecraft:entity.zombie.attack_wooden_door master @a ~ ~ ~ 1 0
# execute as @e[name="a tree",scores={EvilTreeSec=20}] at @s run particle block oak_planks ~ ~1 ~ .5 1 .5 2 100

execute as @e[name="a tree",scores={EvilTreeSec=40}] at @s run playsound minecraft:entity.zombie.attack_wooden_door master @a ~ ~ ~ 1 0
execute as @e[name="a tree",scores={EvilTreeSec=40}] at @s run particle block oak_planks ~ ~1 ~ .5 1 .5 2 100

execute as @e[name="a tree",scores={EvilTreeSec=60}] at @s run playsound minecraft:entity.zombie.attack_wooden_door master @a ~ ~ ~ 1 0
execute as @e[name="a tree",scores={EvilTreeSec=60}] at @s run particle block oak_planks ~ ~1 ~ .5 1 .5 2 100

execute as @e[name="a tree",scores={EvilTreeSec=80}] at @s run playsound minecraft:entity.zombie.attack_wooden_door master @a ~ ~ ~ 1 0
execute as @e[name="a tree",scores={EvilTreeSec=80}] at @s run particle block oak_planks ~ ~1 ~ .5 1 .5 2 100

execute as @e[name="a tree",scores={EvilTreeSec=100}] at @s run function evil_tree:activate_effects


execute at @e[name="a tree"] run particle smoke ~ ~ ~ .5 1 .5 0 10

# Bed Hat

replaceitem entity @a[nbt={Inventory:[{Slot:103b, id:"minecraft:leather_helmet", Count:1b, tag:{display:{Name:'{"text":"Red Bed Hat","color":"red","italic":"false","bold":"true"}'}}}]}] armor.head red_bed{display:{Name:'{"text":"Red Bed Hat","color":"red","italic":"false","bold":"true"}'},HideFlags:39,AttributeModifiers:[{AttributeName:"generic.armor",Name:"generic.armor",Slot:"head",Amount:700,Operation:0,UUIDMost:34283,UUIDLeast:116642}]}











